## NAS Get Serving System request NAS Get Serving System request |

## Functions

QmiMessageNasGetServingSystemOutput * | qmi_message_nas_get_serving_system_output_ref ()
void | qmi_message_nas_get_serving_system_output_unref ()
gboolean | qmi_message_nas_get_serving_system_output_get_network_name_source ()
gboolean | qmi_message_nas_get_serving_system_output_get_mnc_pcs_digit_include_status ()
gboolean | qmi_message_nas_get_serving_system_output_get_umts_primary_scrambling_code ()
gboolean | qmi_message_nas_get_serving_system_output_get_call_barring_status ()
gboolean | qmi_message_nas_get_serving_system_output_get_lte_tac ()
gboolean | qmi_message_nas_get_serving_system_output_get_hdr_personality ()
gboolean | qmi_message_nas_get_serving_system_output_get_cdma_system_info ()
gboolean | qmi_message_nas_get_serving_system_output_get_detailed_service_status ()
gboolean | qmi_message_nas_get_serving_system_output_get_dtm_support ()
gboolean | qmi_message_nas_get_serving_system_output_get_prl_indicator_3gpp2 ()
gboolean | qmi_message_nas_get_serving_system_output_get_concurrent_service_info_3gpp2 ()
gboolean | qmi_message_nas_get_serving_system_output_get_cid_3gpp ()
gboolean | qmi_message_nas_get_serving_system_output_get_lac_3gpp ()
gboolean | qmi_message_nas_get_serving_system_output_get_daylight_saving_time_adjustment_3gpp ()
gboolean | qmi_message_nas_get_serving_system_output_get_time_zone_3gpp ()
gboolean | qmi_message_nas_get_serving_system_output_get_cdma_p_rev ()
gboolean | qmi_message_nas_get_serving_system_output_get_time_zone_3gpp2 ()
gboolean | qmi_message_nas_get_serving_system_output_get_default_roaming_indicator ()
gboolean | qmi_message_nas_get_serving_system_output_get_roaming_indicator_list ()
gboolean | qmi_message_nas_get_serving_system_output_get_cdma_base_station_info ()
gboolean | qmi_message_nas_get_serving_system_output_get_cdma_system_id ()
gboolean | qmi_message_nas_get_serving_system_output_get_current_plmn ()
gboolean | qmi_message_nas_get_serving_system_output_get_data_service_capability ()
gboolean | qmi_message_nas_get_serving_system_output_get_roaming_indicator ()
gboolean | qmi_message_nas_get_serving_system_output_get_result ()
gboolean | qmi_message_nas_get_serving_system_output_get_serving_system ()
void | qmi_client_nas_get_serving_system ()
QmiMessageNasGetServingSystemOutput * | qmi_client_nas_get_serving_system_finish ()

## Types and Values

| QmiMessageNasGetServingSystemOutput
| QmiMessageNasGetServingSystemOutputRoamingIndicatorListElement

## Object Hierarchy

        GBoxed
        ╰── QmiMessageNasGetServingSystemOutput

## Description

## Functions

### qmi_message_nas_get_serving_system_output_ref ()

    QmiMessageNasGetServingSystemOutput *
    qmi_message_nas_get_serving_system_output_ref
                                   (QmiMessageNasGetServingSystemOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_nas_get_serving_system_output_unref ()

    void
    qmi_message_nas_get_serving_system_output_unref
                                   (QmiMessageNasGetServingSystemOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_network_name_source ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_network_name_source
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasNetworkNameSource *value_network_name_source,
                                    GError **error);

Get the 'Network Name Source' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_network_name_source | a placeholder for the output QmiNasNetworkNameSource, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_get_serving_system_output_get_mnc_pcs_digit_include_status ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_mnc_pcs_digit_include_status
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_mnc_pcs_digit_include_status_mcc,
                                    guint16 *value_mnc_pcs_digit_include_status_mnc,
                                    gboolean *value_mnc_pcs_digit_include_status_includes_pcs_digit,
                                    GError **error);

Get the 'MNC PCS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_mnc_pcs_digit_include_status_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_mnc_pcs_digit_include_status_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_mnc_pcs_digit_include_status_includes_pcs_digit | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_umts_primary_scrambling_code ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_umts_primary_scrambling_code
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_umts_primary_scrambling_code,
                                    GError **error);

Get the 'UMTS Primary Scrambling Code' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_umts_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_call_barring_status ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_call_barring_status
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasCallBarringStatus *value_call_barring_status_cs_status,
                                    QmiNasCallBarringStatus *value_call_barring_status_ps_status,
                                    GError **error);

Get the 'Call Barring Status' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_call_barring_status_cs_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. | [out][optional]
value_call_barring_status_ps_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_lte_tac ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_lte_tac
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_lte_tac,
                                    GError **error);

Get the 'LTE TAC' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_lte_tac | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_hdr_personality ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_hdr_personality
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasHdrPersonality *value_hdr_personality,
                                    GError **error);

Get the 'HDR Personality' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_hdr_personality | a placeholder for the output QmiNasHdrPersonality, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_cdma_system_info ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_cdma_system_info
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_cdma_system_info_mcc,
                                    guint8 *value_cdma_system_info_imsi_11_12,
                                    GError **error);

Get the 'CDMA System Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_cdma_system_info_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_cdma_system_info_imsi_11_12 | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_detailed_service_status ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_detailed_service_status
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasServiceStatus *value_detailed_service_status_status,
                                    QmiNasNetworkServiceDomain *value_detailed_service_status_capability,
                                    QmiNasServiceStatus *value_detailed_service_status_hdr_status,
                                    gboolean *value_detailed_service_status_hdr_hybrid,
                                    gboolean *value_detailed_service_status_forbidden,
                                    GError **error);

Get the 'Detailed Service Status' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_detailed_service_status_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. | [out][optional]
value_detailed_service_status_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out][optional]
value_detailed_service_status_hdr_status | a placeholder for the output QmiNasServiceStatus, or `NULL` if not required. | [out][optional]
value_detailed_service_status_hdr_hybrid | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
value_detailed_service_status_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_dtm_support ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_dtm_support
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    gboolean *value_dtm_support,
                                    GError **error);

Get the 'DTM Support' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_dtm_support | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_prl_indicator_3gpp2 ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_prl_indicator_3gpp2
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    gboolean *value_prl_indicator_3gpp2,
                                    GError **error);

Get the 'PRL Indicator 3GPP2' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_prl_indicator_3gpp2 | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_concurrent_service_info_3gpp2 ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_concurrent_service_info_3gpp2
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    gboolean *value_concurrent_service_info_3gpp2,
                                    GError **error);

Get the 'Concurrent Service Info 3GPP2' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_concurrent_service_info_3gpp2 | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_cid_3gpp ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_cid_3gpp
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint32 *value_cid_3gpp,
                                    GError **error);

Get the 'CID 3GPP' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_cid_3gpp | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_lac_3gpp ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_lac_3gpp
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_lac_3gpp,
                                    GError **error);

Get the 'LAC 3GPP' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_lac_3gpp | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_daylight_saving_time_adjustment_3gpp ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_daylight_saving_time_adjustment_3gpp
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint8 *value_daylight_saving_time_adjustment_3gpp,
                                    GError **error);

Get the 'Daylight Saving Time Adjustment 3GPP' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_daylight_saving_time_adjustment_3gpp | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_time_zone_3gpp ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_time_zone_3gpp
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    gint8 *value_time_zone_3gpp,
                                    GError **error);

Get the 'Time Zone 3GPP' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_time_zone_3gpp | a placeholder for the output gint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_cdma_p_rev ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_cdma_p_rev
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint8 *value_cdma_p_rev,
                                    GError **error);

Get the 'CDMA P Rev' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_cdma_p_rev | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_time_zone_3gpp2 ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_time_zone_3gpp2
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint8 *value_time_zone_3gpp2_leap_seconds,
                                    gint8 *value_time_zone_3gpp2_local_time_offset,
                                    gboolean *value_time_zone_3gpp2_daylight_saving_time,
                                    GError **error);

Get the 'Time Zone 3GPP2' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_time_zone_3gpp2_leap_seconds | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_time_zone_3gpp2_local_time_offset | a placeholder for the output gint8, or `NULL` if not required. | [out][optional]
value_time_zone_3gpp2_daylight_saving_time | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_default_roaming_indicator ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_default_roaming_indicator
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasRoamingIndicatorStatus *value_default_roaming_indicator,
                                    GError **error);

Get the 'Default Roaming Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_default_roaming_indicator | a placeholder for the output QmiNasRoamingIndicatorStatus, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_roaming_indicator_list ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_roaming_indicator_list
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    GArray **value_roaming_indicator_list,
                                    GError **error);

Get the 'Roaming Indicator List' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_roaming_indicator_list | a placeholder for the output GArray of QmiMessageNasGetServingSystemOutputRoamingIndicatorListElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiMessageNasGetServingSystemOutputRoamingIndicatorListElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_cdma_base_station_info ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_cdma_base_station_info
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_cdma_base_station_info_base_station_id,
                                    gint32 *value_cdma_base_station_info_base_station_latitude,
                                    gint32 *value_cdma_base_station_info_base_station_longitude,
                                    GError **error);

Get the 'CDMA Base Station Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_cdma_base_station_info_base_station_id | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_cdma_base_station_info_base_station_latitude | a placeholder for the output gint32, or `NULL` if not required. | [out][optional]
value_cdma_base_station_info_base_station_longitude | a placeholder for the output gint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_cdma_system_id ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_cdma_system_id
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_cdma_system_id_sid,
                                    guint16 *value_cdma_system_id_nid,
                                    GError **error);

Get the 'CDMA System ID' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_cdma_system_id_sid | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_cdma_system_id_nid | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_current_plmn ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_current_plmn
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    guint16 *value_current_plmn_mcc,
                                    guint16 *value_current_plmn_mnc,
                                    const gchar **value_current_plmn_description,
                                    GError **error);

Get the 'Current PLMN' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_current_plmn_mcc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_current_plmn_mnc | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_current_plmn_description | a placeholder for the output constant string, or `NULL` if not required. | [out][optional][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_data_service_capability ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_data_service_capability
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    GArray **value_data_service_capability,
                                    GError **error);

Get the 'Data Service Capability' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_data_service_capability | a placeholder for the output GArray of QmiNasDataCapability elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiNasDataCapability][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_roaming_indicator ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_roaming_indicator
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasRoamingIndicatorStatus *value_roaming_indicator,
                                    GError **error);

Get the 'Roaming Indicator' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_roaming_indicator | a placeholder for the output QmiNasRoamingIndicatorStatus, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_result ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_result
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_message_nas_get_serving_system_output_get_serving_system ()

    gboolean
    qmi_message_nas_get_serving_system_output_get_serving_system
                                   (QmiMessageNasGetServingSystemOutput *self,
                                    QmiNasRegistrationState *value_serving_system_registration_state,
                                    QmiNasAttachState *value_serving_system_cs_attach_state,
                                    QmiNasAttachState *value_serving_system_ps_attach_state,
                                    QmiNasNetworkType *value_serving_system_selected_network,
                                    GArray **value_serving_system_radio_interfaces,
                                    GError **error);

Get the 'Serving System' field from `self` .

#### Parameters

self | a QmiMessageNasGetServingSystemOutput. |
value_serving_system_registration_state | a placeholder for the output QmiNasRegistrationState, or `NULL` if not required. | [out][optional]
value_serving_system_cs_attach_state | a placeholder for the output QmiNasAttachState, or `NULL` if not required. | [out][optional]
value_serving_system_ps_attach_state | a placeholder for the output QmiNasAttachState, or `NULL` if not required. | [out][optional]
value_serving_system_selected_network | a placeholder for the output QmiNasNetworkType, or `NULL` if not required. | [out][optional]
value_serving_system_radio_interfaces | a placeholder for the output GArray of QmiNasRadioInterface elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type QmiNasRadioInterface][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_client_nas_get_serving_system ()

    void
    qmi_client_nas_get_serving_system (QmiClientNas *self,
                                       gpointer unused,
                                       guint timeout,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously sends a Get Serving System request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_nas_get_serving_system_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientNas. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_nas_get_serving_system_finish ()

    QmiMessageNasGetServingSystemOutput *
    qmi_client_nas_get_serving_system_finish
                                   (QmiClientNas *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_nas_get_serving_system()`.

#### Parameters

self | a QmiClientNas. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_nas_get_serving_system()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageNasGetServingSystemOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_nas_get_serving_system_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageNasGetServingSystemOutput

    typedef struct _QmiMessageNasGetServingSystemOutput QmiMessageNasGetServingSystemOutput;

The QmiMessageNasGetServingSystemOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageNasGetServingSystemOutputRoamingIndicatorListElement

    typedef struct {
        QmiNasRadioInterface radio_interface;
        QmiNasRoamingIndicatorStatus roaming_indicator;
    } QmiMessageNasGetServingSystemOutputRoamingIndicatorListElement;

A QmiMessageNasGetServingSystemOutputRoamingIndicatorListElement struct.

#### Members

QmiNasRadioInterface `radio_interface`; | a QmiNasRadioInterface. |
QmiNasRoamingIndicatorStatus `roaming_indicator`; | a QmiNasRoamingIndicatorStatus. |

Since: 1.0